### Function

# ECal util_add_timezones_from_component

#### Declaration [src]

    void
    e_cal_util_add_timezones_from_component (
      ICalComponent* vcal_comp,
      ICalComponent* icalcomp
    )

#### Description [src]

Adds VTIMEZONE components to a VCALENDAR for all tzid’s in the given `icalcomp`.

#### Parameters

`vcal_comp`

  Type: `None`

  A VCALENDAR component.

  The data is owned by the caller of the function.

`icalcomp`

  Type: `None`

  An iCalendar component, of any type.

  The data is owned by the caller of the function.